<?php
require_once __DIR__ . '/classes/utils/ClassLoader.php';
$composerLoader = require __DIR__ . '/new-third-party/vendor/autoload.php';
\hji\membership\utils\ClassLoader::initialize($composerLoader);
$loader = hji\Membership\utils\ClassLoader::getInstance();
$loader->addPsr4('hji\\common\\', __DIR__ . '/common');
$loader->addPsr4('hji\\membership\\thirdparty\\', __DIR__ . '/third-party');
$loader->addPsr4('hji\\membership\\', __DIR__ . '/classes');
//TODO: Workaround order of plugin initialization and session start
if (is_dir($hgjUsersDir =  __DIR__ . '/../hji-users')) {
    $loader->addPsr4('hji\\users\\core\\', $hgjUsersDir . '/core');
    $loader->addPsr4('hji\\users\\', $hgjUsersDir . '/classes');
}
unset($hgjUsersDir);

$loader->register();
require_once __DIR__ . '/third-party/timber/vendor/autoload.php';

//aliases for moved classes
class_alias(hji\common\utils\Compliance::class, 'hji\blvd\utils\Compliance');
class_alias(hji\common\utils\MortgageInfo::class, 'hji\blvd\common\MortgageInfo');
class_alias(hji\common\utils\DataFormatter::class, 'hji\blvd\utils\DataFormatter');
class_alias(hji\membership\services\diceBackwardCompatibility\Rule::class, 'Dice\Rule');
class_alias(hji\membership\services\diceBackwardCompatibility\Instance::class, 'Dice\Instance');
class_alias(hji\membership\extension\twig\OptimizationHeadExtension::class, 'hji\membership\extension\twig\OptimizatioHeadExtension::class');
