<?php

namespace hji\membership\advancedOptions;

interface AdvancedOptionsInterface
{
    /**
     * @return string
     */
    public function getTitle();

    /**
     * @return string
     */
    public function getDescription();

    /**
     * @return string
     */
    public function getIcon();

    /**
     * @return array
     */
    public function getFields();

    public function getParams(): array;

    /**
     * @return mixed
     */
    public function addActions();
}
