<?php

namespace hji\membership\extension\twig;

use Twig\Extension\AbstractExtension;
use Twig\TwigFunction;

class AlphabetAgentIndexExtension extends AbstractExtension
{
    public function getFunctions()
    {
        return [
            new TwigFunction('alphabet_agent_index', function ($officeId) {
                if (!class_exists(\hji\AgentRoster\models\AgentIndexTaxonomy::class)) {
                    return false;
                }

                return \hji\AgentRoster\models\AgentIndexTaxonomy::getAlphabetAgentIndex($officeId);
            }),
        ];
    }
}
