<?php

namespace hji\membership\extension\twig;

use hji\membership\utils\NoImage;
use Twig\Extension\AbstractExtension;
use Twig\TwigFunction;

class NoImageExtension extends AbstractExtension
{
    public function getFunctions()
    {
        return [
            new TwigFunction('no_image', function ($postType = null) {
                return (NoImage::getInstance())->getNoImage($postType);
            })
        ];
    }
}
