<?php

namespace hji\membership\extension\twig;

use hji\membership\utils\NumberFormat;
use Twig\Extension\AbstractExtension;
use Twig\TwigFilter;

class NumberFormatExtension extends AbstractExtension
{
    public function getFilters()
    {
        return [
            new TwigFilter('short_number_format', [NumberFormat::class, 'shortNumberFormat']),
            new TwigFilter('currency_short_number_format', [NumberFormat::class, 'currencyShortNumberFormat']),
            new TwigFilter('add_ordinal_number_suffix', [NumberFormat::class, 'addOrdinalNumberSuffix'])
        ];
    }
}
