<?php

namespace hji\membership\extension\twig;

use hji\blvd\utils\ShareButtons;
use Twig\Extension\AbstractExtension;
use Twig\TwigFunction;

class ShareButtonsExtension extends AbstractExtension
{
    public function getFunctions()
    {
        return [
            new TwigFunction('get_share_buttons', function ($shareButtonsId = null) {
                $shareButtons = new ShareButtons();

                return $shareButtons->generateButtons($shareButtonsId);
            }),
        ];
    }
}
