<?php

namespace hji\membership\extension\twig;

use hji\membership\utils\URL;
use Twig\Extension\AbstractExtension;
use Twig\TwigFilter;
use Twig\TwigFunction;

class URLExtension extends AbstractExtension
{
    public function getFunctions()
    {
        return [
            new TwigFunction('is_local_url', [URL::class, 'isLocalUrl']),
        ];
    }

    public function getFilters()
    {
        return [
            new TwigFilter('get_domain_name', [URL::class, 'getDomainName']),
        ];
    }
}
