<?php

namespace hji\membership\models;

use hji\common\AbstractSettingsModel;


class GoogleApiSettings extends \hji\common\interfaces\AbstractSettingsModel
{
    protected static $__CLASS__ = __CLASS__; // Provide this in each singleton class.

    /** @var string     Options handle key */
    const KEY = 'hji-google-api';


    public function __construct()
    {
        parent::__construct('membership', self::KEY);

        $this->loadOptions();

        $data = $this->settings;

        $this->googleApiKey = isset($data['google-api-key']) ?  $data['google-api-key'] : null;
    }


    public static function deleteOptions()
    {
        delete_option(self::KEY);
    }
}
