<?php

namespace hji\common\pluginUpdate;

use hji\common\pluginUpdate\r1_1_2\GravityForms;
use hji\membership\Membership;

class PluginUpdate
{
    public function update():void
    {
        if (!function_exists('get_plugin_data')) {
            require_once ABSPATH . 'wp-admin/includes/plugin.php';
        }
        $pluginInfo = get_plugin_data(WP_PLUGIN_DIR . '/' . Membership::PLUGIN_RELATIVE_PATH);
        $version = $pluginInfo['Version'] ?? Membership::VERSION;
        $hjiUpdatedOptions = get_option('hji_plugins_updated_versions', null);

        if (empty($hjiUpdatedOptions[Membership::PLUGIN_RELATIVE_PATH]['gf_enable_legacy_markup']) && version_compare($version, '2.16.2', '>=')) {
            (new GravityForms())->enableLegacyMarkup();
        }
    }
}
