<?php


namespace hji\common\utils;


class AccessibilityHelper
{
    public static function parseWpPagination($pagination)
    {
        $pagination = preg_replace('/(<a class="page-numbers" )(.*?)(>)(.*?)(<\/a>)/', '$1$2 aria-label="Page $4" $3$4$5', $pagination);
        $pagination = preg_replace('/(<a class="prev page-numbers" )(.*?)(>)(.*?)(<\/a>)/', '$1$2 aria-label="Previous Page" $3$4$5', $pagination);
        $pagination = preg_replace('/(<a class="next page-numbers" )(.*?)(>)(.*?)(<\/a>)/', '$1$2 aria-label="Next Page" $3$4$5', $pagination);

        return $pagination;
    }
}