<?php

namespace hji\membership\extension\twig;

use hji\blvd\utils\RidxHelper;
use Twig\Extension\AbstractExtension;
use Twig\TwigFunction;

class ListingContactFormExtension extends AbstractExtension
{
    public function getFunctions()
    {
        return [
            new TwigFunction('listing_contact_form', function ($formOption = 'form_1') {
                if (!class_exists(RidxHelper::class)) {
                    return false;
                }

                return do_shortcode(RidxHelper::getRidxInquiryForm(null, $formOption));
            }),
        ];
    }
}
