<?php


namespace hji\membership\models;

/**
 * Class DependencyEntity
 * @package hji\membership\models
 */
class DependencyEntity
{
    protected $name;
    protected $version;
    protected $type;
    /**
     * @var bool
     */
    public $installed;
    /**
     * @var bool
     */
    public $correctVersion;

    /**
     * DependencyEntity constructor.
     * @param $name
     * @param $version
     * @param $type
     */
    function __construct($name, $version, $type)
    {
        $this->name = $name;
        $this->version = $version;
        $this->type = $type;
    }

    /**
     * @param $property
     * @return mixed
     */
    public function __get($property)
    {
        if (property_exists(__CLASS__, $property)) {
            return $this->$property;
        }
    }
}