<?php
namespace hji\membership\observers;


use hji\membership\interfaces\Loggable;
use hji\membership\Membership;


class EventLogger implements \SplObserver
{
    private $logger;


    public function __construct(Loggable $logger)
    {
        $this->logger = $logger;
    }

    public function update(\SplSubject $subject): void
    {
        if ($event = $subject->getEvent())
        {
            $this->logger->log($event);
        }
    }
}
