<?php
namespace hji\membership\rendering;


interface TemplateRendererInterface
{

    /**
     * Returns rendered content
     *
     * @param            $fileName
     * @param array|null $vars
     *
     * @return mixed
     */
    public function render($fileName, array $vars = null);


    /**
     * Sets array of template locations (directories) onto the rendering model
     *
     * @param array|null $locations
     *
     * @return mixed
     */
    public function setLocations(array $locations = null);
}