<?php

namespace hji\membership\services\seo\presenters;

use Yoast\WP\SEO\Presenters\Abstract_Indexable_Tag_Presenter;

class HJIImagePresenter extends Abstract_Indexable_Tag_Presenter
{


    /**
     * The tag format including placeholders.
     *
     * @var string
     */
    protected $tag_format = '<meta property="og:image" content="%s" />';

    protected $imageUrl = '';

    /**
     * @param string $imageUrl
     */
    public function __construct(string $imageUrl)
    {
        $this->imageUrl = $imageUrl;
    }

    /**
     * Returns the value of our new tag.
     *
     * @return string The value of our meta tag.
     */
    public function get() {

        return (string) \trim($this->imageUrl);
    }
}
