<?php

namespace hji\membership\utils;

class ClassLoader
{
    private static $instance;

    private function __construct()
    {
    }
    
    public static function initialize(\Composer\Autoload\ClassLoader $loader)
    {
        self::$instance = $loader;
    }
    
    /**
     * @return \Composer\Autoload\ClassLoader
     */
    public static function getInstance()
    {
        if (!self::$instance) {
            throw new \RuntimeException('Class Loader is not initialize');
        }

        return self::$instance;
    }
}
