<?php

namespace hji\membership\utils;

class Grid
{
    public static function getGridRepeatAutoColumnsStyles($columnCount = '', $gap = '30')
    {
        $styles = '';

        if (empty($columnCount) || $columnCount === 'auto' ) {
            $styles = 'style="grid-template-columns: repeat(auto-fit,minmax(min(280px, 30% ,100%),1fr));gap:var(--hji-grid-gap, 30px);"';
        } elseif (in_array($columnCount, [1, 2, 3, 4], false)) {

            $styles = 'style="grid-template-columns:repeat(var(--hji-columns,3),minmax(calc(100% / var(--hji-columns,3) - var(--hji-grid-gap, ' . $gap . 'px)), 1fr));gap:var(--hji-grid-gap, ' . $gap . 'px);--hji-columns:' . $columnCount . '";';
        }

        return $styles;
    }
}
