<?php

namespace hji\membership\utils;

class NoImage
{
    private $images = [];

    public static $instance;

    protected function __construct()
    {
    }

    public function registerNoImage($pathToImage, $postType)
    {
        $this->images[$postType] = $pathToImage;

        return $this->images;
    }

    public function getNoImage($postType)
    {
        $defImgSrc = '';
        if ($postType === null) {
            return $defImgSrc;
        }
        return $this->images[$postType] ?? $defImgSrc;
    }

    public static function getInstance()
    {
        if (!( self::$instance instanceof self))
        {
            self::$instance = new self();
        }

        return self::$instance;
    }
}
