<?php

namespace hji\membership\utils;

class SliderResponsiveBreakPoint
{
    public static function getSliderBreakPointsJson($breakPoints)
    {
        $array = [];
        foreach ($breakPoints as $value) {
            if (!is_array($value) || count($value) !== 2) {
                return '';
            }

            $array[] = ['screen' => $value[0], 'slides' => $value[1]];
        }

        return htmlspecialchars(json_encode($array));
    }
}
