<?php

namespace hji\membership\utils;

class SliderResponsiveBreakPoints
{
    public static function getSliderBreakPoints(array $breakpoints): string
    {
        $array = [];
        foreach ($breakpoints as $values) {
            if (!is_array($values) || count($values) !== 2) {
                return '';
            }

            $array[] = ['screen' => $values[0], 'slides' => $values[1]];
        }

        return htmlspecialchars(json_encode($array));
    }
}
