<?php

namespace hji\common\ajax;

class AjaxCreator
{
    /**
     * Add here all ajax child classes
     */
    public function init()
    {
        $this->build(new GetAreaCenterCoordinate);
        $this->build(new GetSchoolCenterCoordinate);
    }

    public function build(AjaxInterface $ajax)
    {
        add_action('wp_ajax_' . $ajax->getAjaxName(), [$ajax, 'ajaxAction']);
        if ($ajax->isGuestAllowed()) {
            add_action('wp_ajax_nopriv_' . $ajax->getAjaxName(), [$ajax, 'ajaxAction']);
        }
    }
}