<?php

namespace hji\common\gravityform\import;

use hji\common\gravityform\import\mapping\ExistedForms;
use hji\common\gravityform\import\mapping\HJIResponsiveIdx;

class MappingOldForms
{
    public static function isNormalizeExistedForms(string $namespace):int
    {
        return get_option('is_normalized_' . $namespace, 0);
    }

    /**
     * @param $namespace
     */
    public static function normalizeAndMapping($namespace)
    {
        $existedForms = new ExistedForms($namespace);
        switch ($namespace) {
            case 'hji_agent_roster' :
            break;
            case 'hji_responsive_idx' : $existedFormsData = HJIResponsiveIdx::getExistedFormsData();
                $existedForms->normalizeGFMapping($existedFormsData);
                update_option('is_normalized_' . $namespace, 1, false);
            break;
        }
    }
}
