<?php
namespace hji\common\pluginUpdate\r1_1_2;

use hji\membership\Membership;

class GravityForms
{

    public function enableLegacyMarkup(): void
    {
        if (!class_exists(\GFAPI::class)) {
            return;
        }

        $forms = \GFAPI::get_forms();

        foreach ($forms as $key => $form) {
            $forms[$key]['markupVersion'] = 1;
        }

        $result = \GFAPI::update_forms($forms);
        if ($result !== false && !($result instanceof \WP_Error)) {
            $hjiUpdatedOptions[Membership::PLUGIN_RELATIVE_PATH]['gf_enable_legacy_markup'] = 1;
            update_option('hji_plugins_updated_versions', $hjiUpdatedOptions);
        }
    }
}
