<?php

namespace hji\common\utils;

class HTTP
{
    public static function getParameter($paramName, $defaultValue = false)
    {
        $value = false;
        
        if (isset($_REQUEST[$paramName])) {
            $value = stripslashes(trim($_REQUEST[$paramName]));
        }
        
        return (!empty($value)) ? $value : $defaultValue;
    }


    public static function getParameters()
    {
        $parameters = array();

        foreach ($_REQUEST as $paramName => $paramValue)
        {
            $parameters[$paramName] = stripslashes(trim($paramValue));
        }

        return $parameters;
    }
}
