<?php


namespace hji\common\utils;

use hji\common\models\SessionDataCache;

class Session
{

    public static function getSpatialMatchColorReset()
    {
        $dataCache = new SessionDataCache;
        return $dataCache->getData('spatialMatchColorReset');
    }

    public static function setSpatialMatchColorReset($value)
    {
        $dataCache = new SessionDataCache;
        return $dataCache->setData('spatialMatchColorReset', $value);
    }

    public static function  unsetSpatialMatchColorReset()
    {
        $dataCache = new SessionDataCache;
        $dataCache->unsetData('spatialMatchColorReset');
    }

    /**
     * Leaved to back compatibility with old hji plugins versions
     * @deprecated deprecated since version 2.13.0
     * @var string
     */
    public static $sessionIdIndex = 'hji_session';

    /**
     * Leaved this method to back compatibility with old hji plugins versions
     * @deprecated deprecated since version 2.13.0
     */
    public static function start()
    {
        return;
    }

    /**
     * Leaved this method to back compatibility with old hji plugins versions
     * @return string
     * @deprecated deprecated since version 2.13.0
     */
    public static function getId()
    {
        $sessionDataCache = new \hji\common\models\SessionDataCache;

        return $sessionDataCache->getCachePrefix();
    }
}